Welcome, Guest. Please login or register.
April 20, 2014, 08:11:27 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Software
| | |-+  SABnzbd
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] 2 3 Go Down Print
Author Topic: SABnzbd  (Read 4819 times)
gyan000
Pardus fellow craft
**
Posts: 46



View Profile WWW
« on: August 13, 2011, 16:10:48 PM »

Hi,

I would to know if a packager from pardususer.de could maintain the package I've made for SABnzbd, when the french repo was under activities. ( atolboo  ? Cheesy)
I have no time anymore to maintain some of the packages I've made. But this one is important - for me - since I'm using it daily.  Smiley
The package is correctly working under pardus 2011-x86_64 - and probably for the i686 architecture too.
Thanks !

- Pisi source
- Pisi package
Logged

---
gyan000 - plus-qu'en-retard
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #1 on: August 13, 2011, 17:32:13 PM »

I will have a at SABnzbd.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #2 on: August 14, 2011, 10:49:44 AM »

Progress report:
At this moment I am very busy trying to find this problem with Upgrade Manager:
Bug 18895 - Upgrade 2009>2011 always ends with a missing kstartupconfig4 (errorcode=127) in upgrade manager
This takes almost all of my current time.
(and I am now busy with a new idea about Bug 18895)
So SABnzbd will take a few days to finish testing.
I already added
Code:
<PartOf>server</PartOf>
to pspec.xml Wink
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #3 on: August 15, 2011, 14:21:59 PM »

Where is the
Code:
<Dependency versionFrom="0.4">par2cmdline</Dependency>
coming from Huh?
Logged
gyan000
Pardus fellow craft
**
Posts: 46



View Profile WWW
« Reply #4 on: August 15, 2011, 15:39:17 PM »

Coming from here (par2cmd_pisi_source.tar.g), sorry. Smiley
Logged

---
gyan000 - plus-qu'en-retard
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #5 on: August 15, 2011, 21:04:17 PM »

Before I continue... my current result is:
Quote
pisi info SABnzbd
Installed package:
Name                : SABnzbd, version: 0.6.8, release: 10
.
pisi info par2cmdline
Installed package:
Name                : par2cmdline, version: 0.4, release: 3
.
service SABnzbd start
Starting SABnzbd
.
service SABnzbd status
Service | Status | Autostart | Description
------------------------------------------
SABnzbd |        |    yes    | sabnzbd
.
Why isn't it running Huh?
Or can you take over the testing of the software Huh?
« Last Edit: August 15, 2011, 21:30:18 PM by atolboo » Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #6 on: August 16, 2011, 10:52:56 AM »

Packages are now available from 2. Additional (non-official) package source: pardususer.de
And build files >here<
Logged
gyan000
Pardus fellow craft
**
Posts: 46



View Profile WWW
« Reply #7 on: August 16, 2011, 12:30:20 PM »

Thank,  I will have a look tonight and let you know.
Logged

---
gyan000 - plus-qu'en-retard
owiknowi
Guest
« Reply #8 on: October 03, 2011, 09:27:38 AM »

some experiences with the sabnzb installation (not hindered by any actual knowledge  Grin ):
1. only a user with administrative privileges can see sabnzb in package manager and therefore install it (duh...)
2. firefox 6.0.2, midori 0.4.0 and konqueror 4.6.5 open sabnzb.py either as a text file (actual script code) or stop after the language selection.


remark on 1.
normally i use an user account without administrator privileges for daily usage. this way my system is somewhat better protected.
for software & updates installations i log in with the account with administrative privilegies, as created during the install routine.
for installing either one, new packages or updates, i select root when asked, with the appropriate password.

remark on 2.
i use the 'daily' account to try and start /usr/share/sabnzb/sabnzb.py
this leaves me either with the script text, the question to open the file with..., or in konqueror, an error about a missing folder in /var/tmp/kdecache-username/krun/one

so i'm pretty much  Huh?
« Last Edit: October 03, 2011, 09:39:16 AM by owiknowi » Logged
gyan000
Pardus fellow craft
**
Posts: 46



View Profile WWW
« Reply #9 on: October 03, 2011, 14:32:51 PM »

Using SABnzbd daily, I have no problem with this package.
To start / stop SABnzbd, you have to use the service manager or:

service SABnzbd start  /  stop
Logged

---
gyan000 - plus-qu'en-retard
owiknowi
Guest
« Reply #10 on: October 03, 2011, 14:55:35 PM »

thanks for your reply gyan000, the service started (or just didn't give an error in return).
but being used to lottanzb, i'm still quite lost on how to proceed from here?  Embarrassed

starting sabnzbd.py with konqueror gives me an initial screen to choose a language. selecting one and clicking on 'start wizard' gives me a next page with an error: file or folder does not exist (/var/tmp/kdecache-username/run/one).

firefox just gives me the importunity to choose an app to open the file with...  Huh?
« Last Edit: October 03, 2011, 14:58:05 PM by owiknowi » Logged
owiknowi
Guest
« Reply #11 on: October 04, 2011, 11:27:40 AM »

just tried the setup of sabnzbd as user with administrator privileges, and this time it worked. started sabnzbd.py with firefox.

but how about my default user account, which has no administrator privileges? how do i set up sabnzbd?  Huh?
Logged
gyan000
Pardus fellow craft
**
Posts: 46



View Profile WWW
« Reply #12 on: October 04, 2011, 12:46:13 PM »

You simply have to edit /etc/sabnzbd.config (in root)
And you just have to set the username where sabnzbd will go to read the config file. (so, it's the username of you default user account, with normal privileges.)
After, launch the service and go to the webpage 127.0.0.1:8080

Logged

---
gyan000 - plus-qu'en-retard
owiknowi
Guest
« Reply #13 on: October 05, 2011, 06:57:05 AM »

alas, gyan000, despite all your good help i'm not able to get sabnzbd to work with my default (limited) user account.
with the other account, with admin rights, i'm able to install and even start it. it wont connect to the given web page 127.0.0.1:8080 though (have a firewall running, only for un-requested incoming traffic).

even when giving my default account, temporarily, admin rights, it doesn't even show up in software manager. later on i will tinker with it some more.

for now, merci beaucoup pour votre patience!
Logged
owiknowi
Guest
« Reply #14 on: October 06, 2011, 15:10:25 PM »

just to keep things up to date: in english this time...
Logged
Pages: [1] 2 3 Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!